package com.duowenlvshi.duowenlszp.model.Meal.entity;

import java.util.Date;

public class Meal {
    private String id;

    private String mealname;

    private String mealType;

    private Integer postsize;

    private Integer pushsize;

    private Integer candidatesize;

    private Integer duration;

    private Double price;

    private Date starttime;

    private Date endtime;

    private String purchasenum;

    private Date createdate;

    private Date updatedate;

    private String isvalid;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getMealname() {
        return mealname;
    }

    public void setMealname(String mealname) {
        this.mealname = mealname == null ? null : mealname.trim();
    }

    public String getMealType() {
        return mealType;
    }

    public void setMealType(String mealType) {
        this.mealType = mealType;
    }

    public Integer getPostsize() {
        return postsize;
    }

    public void setPostsize(Integer postsize) {
        this.postsize = postsize;
    }

    public Integer getPushsize() {
        return pushsize;
    }

    public void setPushsize(Integer pushsize) {
        this.pushsize = pushsize;
    }

    public Integer getCandidatesize() {
        return candidatesize;
    }

    public void setCandidatesize(Integer candidatesize) {
        this.candidatesize = candidatesize;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }

    public String getPurchasenum() {
        return purchasenum;
    }

    public void setPurchasenum(String purchasenum) {
        this.purchasenum = purchasenum == null ? null : purchasenum.trim();
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public String getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(String isvalid) {
        this.isvalid = isvalid == null ? null : isvalid.trim();
    }
}